
From: Eugene Surovegin <ebs@ebshome.net>

Move 4xx PHY_MODE_XXX defines to asm-ppc/ibm_ocp.h.  This is a preparation
step for the new EMAC driver.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/platforms/4xx/bamboo.c |    7 -------
 arch/ppc/platforms/4xx/ebony.c  |    7 -------
 arch/ppc/platforms/4xx/luan.c   |    7 -------
 arch/ppc/platforms/4xx/ocotea.c |    7 -------
 include/asm-ppc/ibm_ocp.h       |   13 +++++++++++++
 5 files changed, 13 insertions(+), 28 deletions(-)

diff -puN arch/ppc/platforms/4xx/bamboo.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph arch/ppc/platforms/4xx/bamboo.c
--- devel/arch/ppc/platforms/4xx/bamboo.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph	2005-08-30 21:58:33.000000000 -0700
+++ devel-akpm/arch/ppc/platforms/4xx/bamboo.c	2005-08-30 21:58:33.000000000 -0700
@@ -52,13 +52,6 @@
 #include <syslib/gen550.h>
 #include <syslib/ibm440gx_common.h>
 
-/*
- * This is a horrible kludge, we eventually need to abstract this
- * generic PHY stuff, so the  standard phy mode defines can be
- * easily used from arch code.
- */
-#include "../../../../drivers/net/ibm_emac/ibm_emac_phy.h"
-
 bd_t __res;
 
 static struct ibm44x_clocks clocks __initdata;
diff -puN arch/ppc/platforms/4xx/ebony.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph arch/ppc/platforms/4xx/ebony.c
--- devel/arch/ppc/platforms/4xx/ebony.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph	2005-08-30 21:58:33.000000000 -0700
+++ devel-akpm/arch/ppc/platforms/4xx/ebony.c	2005-08-30 21:58:33.000000000 -0700
@@ -55,13 +55,6 @@
 #include <syslib/gen550.h>
 #include <syslib/ibm440gp_common.h>
 
-/*
- * This is a horrible kludge, we eventually need to abstract this
- * generic PHY stuff, so the  standard phy mode defines can be
- * easily used from arch code.
- */
-#include "../../../../drivers/net/ibm_emac/ibm_emac_phy.h"
-
 bd_t __res;
 
 static struct ibm44x_clocks clocks __initdata;
diff -puN arch/ppc/platforms/4xx/luan.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph arch/ppc/platforms/4xx/luan.c
--- devel/arch/ppc/platforms/4xx/luan.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph	2005-08-30 21:58:33.000000000 -0700
+++ devel-akpm/arch/ppc/platforms/4xx/luan.c	2005-08-30 21:58:33.000000000 -0700
@@ -53,13 +53,6 @@
 #include <syslib/ibm440gx_common.h>
 #include <syslib/ibm440sp_common.h>
 
-/*
- * This is a horrible kludge, we eventually need to abstract this
- * generic PHY stuff, so the  standard phy mode defines can be
- * easily used from arch code.
- */
-#include "../../../../drivers/net/ibm_emac/ibm_emac_phy.h"
-
 bd_t __res;
 
 static struct ibm44x_clocks clocks __initdata;
diff -puN arch/ppc/platforms/4xx/ocotea.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph arch/ppc/platforms/4xx/ocotea.c
--- devel/arch/ppc/platforms/4xx/ocotea.c~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph	2005-08-30 21:58:33.000000000 -0700
+++ devel-akpm/arch/ppc/platforms/4xx/ocotea.c	2005-08-30 21:58:33.000000000 -0700
@@ -53,13 +53,6 @@
 #include <syslib/gen550.h>
 #include <syslib/ibm440gx_common.h>
 
-/*
- * This is a horrible kludge, we eventually need to abstract this
- * generic PHY stuff, so the  standard phy mode defines can be
- * easily used from arch code.
- */
-#include "../../../../drivers/net/ibm_emac/ibm_emac_phy.h"
-
 bd_t __res;
 
 static struct ibm44x_clocks clocks __initdata;
diff -puN include/asm-ppc/ibm_ocp.h~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph include/asm-ppc/ibm_ocp.h
--- devel/include/asm-ppc/ibm_ocp.h~ppc32-move-4xx-phy_mode_xxx-defines-to-ibm_ocph	2005-08-30 21:58:33.000000000 -0700
+++ devel-akpm/include/asm-ppc/ibm_ocp.h	2005-08-30 21:58:33.000000000 -0700
@@ -101,6 +101,19 @@ void ocp_show_emac_data(struct device *d
 	device_create_file(dev, &dev_attr_emac_phy_map);		\
 }
 
+/*
+ * PHY mode settings (EMAC <-> ZMII/RGMII bridge <-> PHY)
+ */
+#define PHY_MODE_NA	0
+#define PHY_MODE_MII	1
+#define PHY_MODE_RMII	2
+#define PHY_MODE_SMII	3
+#define PHY_MODE_RGMII	4
+#define PHY_MODE_TBI	5
+#define PHY_MODE_GMII	6
+#define PHY_MODE_RTBI	7
+#define PHY_MODE_SGMII	8
+
 #ifdef CONFIG_40x
 /*
  * Helper function to copy MAC addresses from the bd_t to OCP EMAC
_
